# Matomo

[![Build Status](https://drone.autonomic.zone/api/badges/coop-cloud/matomo/status.svg?ref=refs/heads/main)](https://drone.autonomic.zone/coop-cloud/matomo)

Matomo analytics + CoöpCloud

<!-- metadata -->
* **Category**: Apps
* **Status**: ❸🍎
* **Image**: [`matomo`](https://hub.docker.com/_/matomo), ❶💚, upstream
* **Healthcheck**: Yes
* **Backups**: No
* **Email**: No
* **Tests**: ❷💛
* **SSO**: No
<!-- endmetadata -->

## Basic usage

1. Set up Docker Swarm and [`abra`][abra]
2. Deploy [`coop-cloud/traefik`][cc-traefik]
3. `abra app new matomo --secrets` (optionally with `--pass` if you'd like
   to save secrets in `pass`)
4. `abra app YOURAPPDOMAIN config` - be sure to change `$DOMAIN` to something that resolves to
   your Docker swarm box
5. `abra app YOURAPPDOMAIN deploy`
6. Open the configured domain to finish set-up

[abra]: https://git.autonomic.zone/autonomic-cooperative/abra
[compose-traefik]: https://git.autonomic.zone/coop-cloud/traefik
